﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Entity
{
    public class Images
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int Id { get; set; }

        [Required]
        public string ImgPath { get; set; }

        public ICollection<Character> Characters { get; set; } = new List<Character>();

        public ICollection<Users> Users { get; set; } = new List<Users>();

        public ICollection<Quiz> Quizs { get; set; } = new List<Quiz>();
    }
}
