﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Entity
{
    public class Quiz
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int Id { get; set; }

        [Required]
        [StringLength(50)]
        public string Title { get; set; }

        [Required]
        [ForeignKey(nameof(Images))]
        public int IdImage { get; set; }

        [Required]
        public int NbQuestion { get; set; }

        public Images Images { get; set; } = null!;

        public ICollection<Question> Questions { get; } = new List<Question>();
    }
}
